QDateTimeEdit(3qt)

NAME
QDateTimeEdit - Combines a QDateEdit and QTimeEdit widget into a single widget for editing datetimes

SYNOPSIS
#include <ntqdatetimeedit.h>

Inherits TQWidget.

  Public Members
QDateTimeEdit ( TQWidget * parent = 0, const char * name = 0 )
QDateTimeEdit ( const QDateTime & datetime, TQWidget * parent = 0, const char * name = 0 )
~QDateTimeEdit ()
QDateTime dateTime () const
QDateEdit * dateEdit ()
QTimeEdit * timeEdit ()
virtual void setAutoAdvance ( bool advance )
bool autoAdvance () const

  Public Slots
virtual void setDateTime ( const QDateTime & dt )

  Signals
void valueChanged ( const QDateTime & datetime )

  Properties
QDateTime dateTime - the editor's datetime value

DESCRIPTION
The QDateTimeEdit class combines a QDateEdit and QTimeEdit widget into a single widget for editing datetimes.

QDateTimeEdit consists of a QDateEdit and QTimeEdit widget placed side by side and offers the functionality of both. The user can edit the date and time by using the keyboard or the arrow keys to increase/decrease date or time values. The Tab key can be used to move from section to section within the QDateTimeEdit widget, and the user can be moved automatically when they complete a section using setAutoAdvance(). The datetime can be set with setDateTime().

The date format is read from the system's locale settings. It is set to year, month, day order if that is not possible. See QDateEdit::setOrder() to change this. Times appear in the order hours, minutes, seconds using the 24 hour clock.

It is recommended that the QDateTimeEdit is initialised with a datetime, e.g.

    QDateTimeEdit *dateTimeEdit = new QDateTimeEdit( QDateTime::currentDateTime(), this );
    dateTimeEdit->dateEdit()->setRange( QDateTime::currentDate(),
                                        QDateTime::currentDate().addDays( 7 ) );
Here we've created a new QDateTimeEdit set to the current date and time, and set the date to have a minimum date of now and a maximum date of a week from now.

Terminology: A QDateEdit widget consists of three 'sections', one each for the year, month and day. Similarly a QTimeEdit consists of three sections, one each for the hour, minute and second. The character that separates each date section is specified with setDateSeparator(); similarly setTimeSeparator() is used for the time sections.

<center>
[Image Omitted]

</center>

See also QDateEdit, QTimeEdit, Advanced Widgets, and Time and Date.

MEMBER FUNCTION DOCUMENTATION

QDateTimeEdit::QDateTimeEdit ( TQWidget * parent = 0, const char * name = 0 )
Constructs an empty datetime edit with parent parent and called name.

QDateTimeEdit::QDateTimeEdit ( const QDateTime & datetime, TQWidget * parent = 0, const char * name = 0 )
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Constructs a datetime edit with the initial value datetime, parent parent and called name.

QDateTimeEdit::~QDateTimeEdit ()
Destroys the object and frees any allocated resources.

bool QDateTimeEdit::autoAdvance () const
Returns TRUE if auto-advance is enabled, otherwise returns FALSE.

See also setAutoAdvance().

QDateEdit * QDateTimeEdit::dateEdit ()
Returns the internal widget used for editing the date part of the datetime.

QDateTime QDateTimeEdit::dateTime () const
Returns the editor's datetime value. See the "dateTime" property for details.

void QDateTimeEdit::setAutoAdvance ( bool advance ) [virtual]
Sets the auto advance property of the editor to advance. If set to TRUE, the editor will automatically advance focus to the next date or time section if the user has completed a section.

void QDateTimeEdit::setDateTime ( const QDateTime & dt ) [virtual slot]
Sets the editor's datetime value to dt. See the "dateTime" property for details.

QTimeEdit * QDateTimeEdit::timeEdit ()
Returns the internal widget used for editing the time part of the datetime.

void QDateTimeEdit::valueChanged ( const QDateTime & datetime ) [signal]
This signal is emitted every time the date or time changes. The datetime argument is the new datetime.

  Property Documentation

QDateTime dateTime
This property holds the editor's datetime value.

The datetime edit's datetime which may be an invalid datetime.

Set this property's value with setDateTime() and get this property's value with dateTime().

SEE ALSO
http://doc.trolltech.com/ntqdatetimeedit.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqdatetimeedit.3qt) and the Qt version (3.3.8).